"use strict";
const common_vendor = require("../../common/vendor.js");
const sheep_index = require("../../sheep/index.js");
require("../../sheep/api/index.js");
require("../../sheep/api/distri/score.js");
require("../../sheep/request/index.js");
require("../../sheep/config/index.js");
require("../../sheep/store/index.js");
require("../../sheep/store/app.js");
require("../../sheep/api/promotion/diy.js");
require("../../sheep/platform/index.js");
require("../../sheep/platform/provider/wechat/index.js");
require("../../sheep/platform/provider/wechat/miniProgram.js");
require("../../sheep/api/member/auth.js");
require("../../sheep/api/member/social.js");
require("../../sheep/api/member/user.js");
require("../../sheep/platform/provider/apple/index.js");
require("../../sheep/platform/share.js");
require("../../sheep/router/index.js");
require("../../sheep/hooks/useModal.js");
require("../../sheep/helper/index.js");
require("../../sheep/helper/test.js");
require("../../sheep/helper/digit.js");
require("../../sheep/api/member/signin.js");
require("../../sheep/helper/throttle.js");
require("../../sheep/url/index.js");
require("../../sheep/platform/pay.js");
require("../../sheep/api/pay/order.js");
require("../../sheep/store/user.js");
require("../../sheep/store/cart.js");
require("../../sheep/api/trade/cart.js");
require("../../sheep/api/pay/wallet.js");
require("../../sheep/api/trade/order.js");
require("../../sheep/api/promotion/coupon.js");
require("../../sheep/store/sys.js");
require("../../sheep/store/modal.js");
require("../../sheep/api/distri/share.js");
require("../../sheep/api/distri/team.js");
require("../../sheep/api/infra/file.js");
require("../../sheep/api/member/address.js");
require("../../sheep/api/member/point.js");
require("../../sheep/api/migration/app.js");
require("../../sheep/api/migration/chat.js");
require("../../sheep/api/migration/index.js");
require("../../sheep/api/migration/third.js");
require("../../sheep/api/pay/channel.js");
require("../../sheep/api/product/category.js");
require("../../sheep/api/product/comment.js");
require("../../sheep/api/product/favorite.js");
require("../../sheep/api/product/history.js");
require("../../sheep/api/product/spu.js");
require("../../sheep/api/promotion/activity.js");
require("../../sheep/api/promotion/article.js");
require("../../sheep/api/promotion/bargain.js");
require("../../sheep/api/promotion/combination.js");
require("../../sheep/api/promotion/rewardActivity.js");
require("../../sheep/api/promotion/seckill.js");
require("../../sheep/api/system/area.js");
require("../../sheep/api/system/voice.js");
require("../../sheep/api/trade/afterSale.js");
require("../../sheep/api/trade/brokerage.js");
require("../../sheep/api/trade/config.js");
require("../../sheep/api/trade/delivery.js");
require("../../sheep/config/zIndex.js");
if (!Array) {
  const _easycom_s_empty2 = common_vendor.resolveComponent("s-empty");
  _easycom_s_empty2();
}
const _easycom_s_empty = () => "../../sheep/components/s-empty/s-empty.js";
if (!Math) {
  _easycom_s_empty();
}
const _sfc_main = {
  __name: "error",
  setup(__props) {
    const errCode = common_vendor.ref("");
    const errMsg = common_vendor.ref("");
    common_vendor.onLoad((options) => {
      errCode.value = options.errCode;
      errMsg.value = options.errMsg;
    });
    async function onReconnect() {
      common_vendor.index.reLaunch({
        url: "/pages/index/index"
      });
      await sheep_index.ShoproInit();
    }
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: errCode.value === "NetworkError"
      }, errCode.value === "NetworkError" ? {
        b: common_vendor.o(onReconnect),
        c: common_vendor.p({
          icon: "/static/internet-empty.png",
          text: "网络连接失败",
          showAction: true,
          actionText: "重新连接",
          buttonColor: "#132b85"
        })
      } : errCode.value === "TemplateError" ? {
        e: common_vendor.o(onReconnect),
        f: common_vendor.p({
          icon: "/static/internet-empty.png",
          text: "未找到模板",
          showAction: true,
          actionText: "重新加载",
          buttonColor: "#132b85"
        })
      } : errCode.value !== "" ? {
        h: common_vendor.o(onReconnect),
        i: common_vendor.p({
          icon: "/static/internet-empty.png",
          text: errMsg.value,
          showAction: true,
          actionText: "重新加载",
          buttonColor: "#132b85"
        })
      } : {}, {
        d: errCode.value === "TemplateError",
        g: errCode.value !== ""
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8e014bcf"], ["__file", "D:/zx/mall-front-app/pages/public/error.vue"]]);
wx.createPage(MiniProgramPage);
